For the complete documentation index, see llms.txt. This page is also available as Markdown.

Users & Teams

Get Users

get
Authorizations
AuthorizationstringRequired

Authorization: Bearer {AuthorizationToken}

Query parameters
limitinteger · min: 1 · max: 1000OptionalDefault: 1000
pageintegerOptionalDefault: 1
accountstring · UIDOptional

Comma separated user IDs

Example: ckweru5xg000142qyx3m0sds
emailstring · emailOptional

Comma separated emails

Example: ben.kenney@example.com
referencestring · stringOptional

Comma separated RiskBase references

Example: RB-YNAVYJ
customReferencestring · stringOptional

Comma separated RiskBase custom references

Example: your-stored-custom-reference
Responses
200Success
application/json
totalintegerOptional
get/users
200Success

Create or Link User

post

This POST request is used to create a new user. If a user already exists, they will be added to the organisation. The authentication type will be set to passwordless by default.

Authorizations
AuthorizationstringRequired

Authorization: Bearer {AuthorizationToken}

Body
emailstring · emailRequired

The user's email address

Example: ben.boyd@riskbase.uk
forenamestringRequiredExample: Ben
surnamestringRequiredExample: Boyd
customReferencestringOptionalExample: custom-reference
activebooleanOptionalDefault: falseExample: true
Responses
200Success
application/json
idstring · UIDOptionalExample: yok0w80s0sckwwgo0c8sko4o
usercreatedbooleanOptional

Indicates whether the operation created a new user within an organisation.

Example: true
userLinkedbooleanOptional

Indicates whether the operation linked an existing user to the organisation rather than creating a new user.

post/users

Get Teams

get
Authorizations
AuthorizationstringRequired

Authorization: Bearer {AuthorizationToken}

Query parameters
limitinteger · min: 1 · max: 1000OptionalDefault: 1000
pageintegerOptionalDefault: 1
teamstring · UIDOptional

Comma separated teams IDs

Example: ckweru5xg000142qyx3m0sds
Responses
200Success
application/json
totalintegerOptional
get/teams
200Success

Add Users to Team

patch

Add users to a team

  • Invalid user IDs are silently ignored.

  • Triggers the team webhook.

Authorizations
AuthorizationstringRequired

Authorization: Bearer {AuthorizationToken}

Path parameters
teamIdstring · UIDRequired
Body
usersstring · UID[]Required

User IDs to add to the team

skipWebhookbooleanOptionalDefault: false
Responses
204Success
patch/teams/{teamId}/users/add
204Success

Remove Users from Team

patch

Remove users from a team.

  • Users are also removed as responsible for the team. (See Get Property Team Users.)

  • Invalid user IDs are silently ignored.

  • Triggers the team webhook.

Authorizations
AuthorizationstringRequired

Authorization: Bearer {AuthorizationToken}

Path parameters
teamIdstring · UIDRequired
Body
usersstring · UID[]Required

User IDs to remove from the team

skipWebhookbooleanOptionalDefault: false
Responses
204Success
patch/teams/{teamId}/users/remove
204Success

Last updated

Was this helpful?